Summary: a 3D car racing game
Name: spaceracer
Version: 0.2.1
Release: 1
Group: X11/Games/Video
Copyright: GPL
Source: http://www.multimania.com/sracer/spaceracer-0.2.1.tar.gz
BuildRoot: /var/tmp/spaceracer

%description
Space Racer is a 3D car racing game. The circuit is a road in a galactic environment. It aims to be a clone of the well known Stunt Car Racer developped by Geff Crammond, author of Grand Prix I and II.

%prep
cd /usr/src/redhat/BUILD
rm -rf spaceracer
/bin/gzip -dc /usr/src/redhat/SOURCES/spaceracer-0.2.1.tar.gz | tar -xvvf -
%build
INSTALL_ROOT=/usr/X11R6
cd space-racer
./configure --prefix=$INSTALL_ROOT
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%install
cd space-racer
INSTALL_ROOT=/usr/X11R6

rm -rf $RPM_BUILD_ROOT
mkdirhier $RPM_BUILD_ROOT$INSTALL_ROOT/bin
install -m755 src/spaceracer $RPM_BUILD_ROOT$INSTALL_ROOT/bin
mkdirhier $RPM_BUILD_ROOT$INSTALL_ROOT/include
install -m644 src/stk/kernel/stk_file.h $RPM_BUILD_ROOT$INSTALL_ROOT/include/
install -m644 src/stk/kernel/stk_message.h $RPM_BUILD_ROOT$INSTALL_ROOT/include/
install -m644 src/stk/kernel/stk_time.h $RPM_BUILD_ROOT$INSTALL_ROOT/include/
install -m644 src/stk/kernel/stk_x11.h $RPM_BUILD_ROOT$INSTALL_ROOT/include/
install -m644 src/stk/gui/stk_fnt.h $RPM_BUILD_ROOT$INSTALL_ROOT/include/
install -m644 src/stk/gui/stk_text.h $RPM_BUILD_ROOT$INSTALL_ROOT/include/
install -m644 src/stk/input/stk_control.h $RPM_BUILD_ROOT$INSTALL_ROOT/include/
install -m644 src/stk/input/stk_admctrl.h $RPM_BUILD_ROOT$INSTALL_ROOT/include/
install -m644 src/stk/input/stk_joy.h $RPM_BUILD_ROOT$INSTALL_ROOT/include/
install -m644 src/stk/input/stk_keyboard.h $RPM_BUILD_ROOT$INSTALL_ROOT/include/
mkdirhier $RPM_BUILD_ROOT$INSTALL_ROOT/share/spaceracer
cp data/*png $RPM_BUILD_ROOT$INSTALL_ROOT/share/spaceracer
cp data/*txf $RPM_BUILD_ROOT$INSTALL_ROOT/share/spaceracer
cp data/sracer2006.gl $RPM_BUILD_ROOT$INSTALL_ROOT/share/spaceracer
cp data/stars.dat $RPM_BUILD_ROOT$INSTALL_ROOT/share/spaceracer

#%clean
#rm -rf $RPM_BUILD_ROOT
%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO doc
/usr/X11R6/share/spaceracer/
/usr/X11R6/bin/spaceracer

%changelog

* Tue Dec 14 1999 Thomas Lund <tld@carlbro.dk>
- Version 0.2.1 of the sources

* Sun Oct 10 1999 Thomas Lund <tld@carlbro.dk>
- Made first spec file from scratch
